com.threerings.whirled.zone.server

## Class ZoneSender

- java.lang.Object
- - com.threerings.presents.server.InvocationSender
  - - com.threerings.whirled.zone.server.ZoneSender

    public class ZoneSender
    extends com.threerings.presents.server.InvocationSender

Used to issue notifications to a `ZoneReceiver` instance on a client.

### Constructor Summary

Constructors
Constructor and Description
`ZoneSender()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `forcedMove(com.threerings.presents.data.ClientObject target, int arg1, int arg2)` Issues a notification that will result in a call to `ZoneReceiver.forcedMove(int, int)` on a client.

### Methods inherited from class com.threerings.presents.server.InvocationSender

`sendNotification, sendNotification`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ZoneSender

    public ZoneSender()

### Method Detail

#### forcedMove

    public static void forcedMove(com.threerings.presents.data.ClientObject target,
                                  int arg1,
                                  int arg2)

Issues a notification that will result in a call to `ZoneReceiver.forcedMove(int, int)` on a client.